package project5

import org.scalatest.FunSuite
 
import org.junit.runner.RunWith
import org.scalatest.junit.JUnitRunner

/**
 * This class is a test suite for the methods in object Streams. To run
 * the test suite, you can:
 *  - run the "test" command in the SBT console
 *  - right-click the file in eclipse and chose "Run As" - "JUnit Test"
 */
@RunWith(classOf[JUnitRunner])
class StreamsSuite extends FunSuite {
  import Streams._

  /**
   * Tests are written using the "test" operator and the "assert" method.
   */
  test("string take") {
    val message = "hello, world"
    assert(message.take(5) == "hello")
  }
  
  /**
   * For ScalaTest tests, there exists a special equality operator "===" that
   * can be used inside "assert". If the assertion fails, the two values will
   * be printed in the error message. Otherwise, when using "==", the test
   * error message will only say "assertion failed", without showing the values.
   * 
   * Try it out! Change the values so that the assertion fails, and look at the
   * error message.
   */
  test("adding ints") {
    assert(1 + 2 === 3)
  }

  /**
   * The test for "ln2Summands" is disabled (using "ignore") because the
   * method is not yet implemented and the test would fail.
   * 
   * Once you finish your implementation of "ln2Summands", exchange the
   * function "ignore" by "test"
   */

  ignore("ln2 summands / head") {
    assert(ln2Summands(1).head === 1.0)
  }
  
  // Add more tests
}
